> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank account matter balances

> Returns a list of bank account matter balances.



## OpenAPI

````yaml /openapi.json get /bankaccounts/{id}/matter-balances
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /bankaccounts/{id}/matter-balances:
    get:
      tags:
        - Bank Accounts
      summary: Get bank account matter balances
      description: Returns a list of bank account matter balances.
      operationId: GetBankAccountMatterBalances
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
        - name: LastUpdated
          in: query
          description: Returns items updated since the specified date and time.
          schema:
            type: string
            format: date-time
            example: '2022-04-23T14:00:00Z'
          example: '2022-04-23T14:00:00Z'
        - name: MatterId
          in: query
          description: Filters items by the specified matter ID.
          schema:
            type: string
            example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
          example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
      responses:
        '200':
          description: >-
            When request is successful. Returns a collection of
            'BankAccountMatterBalance' objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccountMatterBalancePagedCollection'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BankAccountMatterBalancePagedCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/BankAccountMatterBalance'
          nullable: true
        offset:
          type: integer
          format: int32
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        size:
          type: integer
          format: int64
        first:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        previous:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        next:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        last:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    BankAccountMatterBalance:
      type: object
      properties:
        matter:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The associated matter.
          nullable: true
        balance:
          type: number
          description: The balance belonging for the specified matter.
          format: double
          example: 1000
        protectedBalance:
          type: number
          description: The protected balance for the specified matter.
          format: double
          example: 1000
        availableBalance:
          type: number
          description: "The available balance for the specified matter.\r\n            \r\nThis value is calculated as the total balance minus the protected balance."
          format: double
          example: 1000
        unpresentedChequesBalance:
          type: number
          description: "Balance of the unpresented cheques for this matter. A cheque is considered \r\nunpresented if the related transaction has not been reconciled. If this balance is not zero,\r\nsome actions on the matter are restricted (e.g. closing or cancelling the matter)."
          format: double
          example: 0
        lastUpdated:
          type: string
          description: Date and time that the balance was last updated.
          format: date-time
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````